# Skypager

Skypager is a tool that automates the tasks needed to build and maintain
a static site that is deployed to Amazon S3, with or without a CDN that
has support for custom domains, ssl, etc

Example sites are included in the examples directory.

### Things this gem currently does well

- Support for build tools
  - Currently just Middleman

- Integrates with:
  - google drive
  - dropbox
  - dnsimple
  - amazon cloud services (s3, cloudfront)

- Automate boring tasks for setting up static sites deployed to S3
  - Setting up an s3 bucket
  - Setting up a cloudfront CDN
  - Setting up CNAME aliases for the s3 bucket

- Creates links between common file sharing, or version control systems
   - Dropbox
   - Google Drive

- Pulls down files from dropbox, or data from google drive, and incorporates it into the build

### Things this gem aims to do

- Create a build server which responds to events in Github, Dropbox, Google Drive, etc
  - Allows for re-deploying sites on changes to Github, Dropbox, Google Drive
