$LOAD_PATH.unshift File.dirname(__FILE__)

require 'hashie'
require 'pathname'
require 'cgi'
require 'uri_template'

require 'skypager/version'
require 'skypager/configuration'
require 'skypager/core_ext'
require 'active_support/core_ext/string'

module Skypager
  def self.router(app, options={})
    require 'skypager/router'
    @router ||= Skypager::Router.new(app, options)
  end

  def self.protector(options={})
    require 'skypager/protector'
    require 'pry'
    Skypager::Protector.new(options)
  end

  def self.proxy(options={})
    if options.is_a?(String)
      options = {bucket: options}
    end

    require 'rack-proxy' unless defined?(Rack::Proxy)
    require 'skypager/proxy' unless defined?(Skypager::Proxy)

    @_proxies ||= {}
    @_proxies[options.hash] ||= Skypager::Proxy.new(options)
  end

  def self.config
    Skypager::Configuration.instance
  end

  def self.sites
    Skypager::Site.directory
  end

  def self.root
    Skypager::Configuration.skypager_root
  end

  def self.lib
    Pathname(File.dirname(__FILE__))
  end
end

require 'skypager/site'
